<?php
/**
 *
 * Vertical Views. An extension for the phpBB Forum Software package.
 *
 * @copyright (c) 2023, axew3, http://axew3.com
 * @license: this is NOT free software. Please read: https://www.axew3.com/w3/forums/viewtopic.php?t=1804
 *
 */

namespace w3all\w3vv\event;

/**
 * @ignore
 */
use Symfony\Component\EventDispatcher\EventSubscriberInterface;

/**
 * Vertical Views Event listener.
 */
class main_listener implements EventSubscriberInterface
{
  public static function getSubscribedEvents()
  {
    return array(
     'core.user_setup' => 'load_language_on_setup',
     'core.viewtopic_modify_post_data' => 'viewtopic_modify_post_data',
     'core.page_footer' => 'overall_footer_body_after',

    );
  }


  protected $language;
  protected $config;
  protected $template;
  protected $request;
  protected $php_ext;


  public function __construct(\phpbb\language\language $language, \phpbb\config\config $config, \phpbb\template\template $template, \phpbb\request\request_interface $request, $php_ext)
  {
    $this->language = $language;
    $this->config   = $config;
    $this->template = $template;
    $this->request  = $request;
    $this->php_ext  = $php_ext;
  }

  /**
   * Load common language files during user setup
   *
   * @param \phpbb\event\data $event  Event object
   */
  public function load_language_on_setup($e)
  {

  }

# viewtopic

    public function viewtopic_modify_post_data($e)
  {
    if( empty($e['topic_data']) OR empty($e['rowset']) ) return;

      $w3lt = $this->request->variable('w3vvVTLoadTopic', 0);

      $this->template->assign_vars(array(
       'W3VV_ONVIEWTOPIC' => 1,
       'W3VV_VIEWTOPIC_MODE' => $w3lt,));
   }


# viewforum

    public function display_forums_modify_template_vars($e)
  {

    //echo'display_forums_modify_template_vars <pre>'; print_R($e);exit;
     $w3lt = $this->request->variable('w3vvVTLoadForum', 0);

      $this->template->assign_vars(array(
       'W3VV_ONVIEWFORUM' => 1,
       'W3VV_VIEWFORUM_MODE' => $w3lt,));
   }
   
    public function overall_footer_body_after()
  {}


}



